unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ComCtrls, StdCtrls, FileCtrl, ExtCtrls, ExtDlgs;

type
  TForm1 = class(TForm)
    DirectoryListBox1: TDirectoryListBox;
    FileListBox1: TFileListBox;
    Image1: TImage;
    Image2: TImage;
    GroupBox1: TGroupBox;
    OpenPictureDialog1: TOpenPictureDialog;
    Button1: TButton;
    procedure DirectoryListBox1Change(Sender: TObject);
    procedure FileListBox1DblClick(Sender: TObject);
    procedure Image1DblClick(Sender: TObject);
    procedure Image2DblClick(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  var cesta:string; //cesta pro nacitani obrazku
{i:integer;
tecka:boolean;
PoradiTecky:integer;}
implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
    If OpenPictureDialog1.Execute=true then begin   //otevreni okna a podminka, zda je schvaleno nacteni
        cesta:=OpenPictureDialog1.FileName;  //ulozeni cesty do promenne
        Image1.Picture.LoadFromFile(cesta);  //nacteni obrazku do image
        end;
    end;



procedure TForm1.DirectoryListBox1Change(Sender: TObject);
begin
//Vymena souboru ve FileListBoxu pri zmene adresare
FileListBox1.ApplyFilePath(DirectoryListBox1.Directory);
end;

procedure TForm1.FileListBox1DblClick(Sender: TObject);
var obrazek:TPicture;

begin
{cesta:=FileListBox1.FileName;
i:=0;
tecka:=false;
for i:=0 to 50 do begin
if (cesta[i]='.') and (not tecka) then begin PoradiTecky:=i; tecka:=true; end;
If tecka then begin
  case i-PoradiTecky of
  1: cesta[i]:='b';
  2: cesta[i]:='m';
  3: cesta[i]:='p';
  4: cesta[i]:=' ';
  end;
  end;
end;
ShowMessage(cesta);}

      //prirazeni adresy obrazku do promenne a jeho nasledne nacteni do image
      cesta:=FileListBox1.FileName;
      Image1.Picture.LoadFromFile(cesta);
end;

procedure TForm1.Image1DblClick(Sender: TObject);
begin
    //schovavani a objevovani nepotrebnych komponent:
    Button1.Visible:=false;
    GroupBox1.Visible:=false;
    DirectoryListBox1.Visible:=false;
    FileListBox1.Visible:=false;
    Image2.visible:=true;

    Image2.Picture.LoadFromFile(cesta); //nacteni obrazku na novy image
end;

procedure TForm1.Image2DblClick(Sender: TObject);
begin
    //schovavani a objevovani nepotrebnych komponent:
    Image2.Visible:=false;
    GroupBox1.Visible:=true;
    DirectoryListBox1.Visible:=true;
    FileListBox1.Visible:=true;
    Button1.Visible:=true;
end;

end.
